Subject: Re: bug#14808: 24.3; Tramp hangs on unmatched prompt pattern

From: Michael Albinus <[email-masked]>
Date: Tue, 09 Jul 2013 15:50:42 +0200

Chris Thompson <[email-masked]> writes:

> It sems like it could be made obvious with a little more output from
> tramp if say a timeout is reached waiting for the prompt.

Tramp has already such a function `tramp-error-with-buffer', which ought
to provide such information. It does not seem to work robustly under all
circumstances; I'm working on this.

Another problem is, that Tramp is just a library. That means, if you
want to open a file, several Tramp functions are called independently,
each of it requires an established connection. There must be a mechanism
that during a given timespan (let's say 5 seconds) Tramp does not try to
reconnect after a failed connection attempt. This works already in some
special cases; I'll improve this as well.

> Thanks!
> --
> Chris

Best regards, Michael.